# Personalization Service

Service to ingest single events and request personalization offers from
Real-Time engines.

### Versioning
Endpoint versions are defined through content-type. Use
`Accept: application/vnd.treasuredata.v1+json` to specify version 1


Version: 1.0

## Servers

```
https://us01.p13n.in.treasuredata.com
```

```
https://eu01.p13n.in.treasuredata.com
```

```
https://ap01.p13n.in.treasuredata.com
```

## Security

### td1

The API token is accepted as a `TD1` token. The TD API token
is an account number prefix, slash, and 40-character
hexadecimal string.
A valid authorization header looks like this:
- `Authorization: TD1 1/AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA`

Type: http
Scheme: bearer
Bearer Format: TD1

### wp13n

The RT token is used to route to the correct RT engine. The
web personalization token is an account number, index number
and 32-character hexadecimal string, joined with slashes.
A valid token header looks like this:
- `WP13n-Token: 1/2/6b6ea5f8df5845fa8e7962f9e1ba84a3`

Type: apiKey
In: header
Name: WP13n-Token

## Download OpenAPI description

[Personalization Service](https://docs.treasure.ai/_bundle/apis/p13n-api/openapi.yaml)

## Other

### Get offers for server request

 - [POST /{database}/{table}](https://docs.treasure.ai/apis/p13n-api/openapi/other/personalize.md): Ingest an event and receive personalization response from RT engine.

